<back to all web services

GetItemsTargetLanguagesStatuses

The following routes are available for this service:
POST/RestApi/translations/getTargetLanguagesStatuses
"use strict";
export class GetItemsTargetLanguagesStatuses {
    /** @param {{Ids?:string[],ContentType?:string,SourceLanguage?:string,Skip?:number,Take?:number}} [init] */
    constructor(init) { Object.assign(this, init) }
    /** @type {string[]} */
    Ids;
    /** @type {string} */
    ContentType;
    /** @type {string} */
    SourceLanguage;
    /** @type {number} */
    Skip;
    /** @type {number} */
    Take;
}
export class ItemsTargetLanguageStatusProxy {
    /** @param {{Code?:string,Name?:string,SomeItemsHaveIncompatiblePendingTranslations?:boolean,AllItemsHaveIncompatiblePendingTranslations?:boolean}} [init] */
    constructor(init) { Object.assign(this, init) }
    /** @type {string} */
    Code;
    /** @type {string} */
    Name;
    /** @type {boolean} */
    SomeItemsHaveIncompatiblePendingTranslations;
    /** @type {boolean} */
    AllItemsHaveIncompatiblePendingTranslations;
}
/** @typedef T {any} */
export class CollectionContext {
    /** @param {{TotalCount?:number,IsGeneric?:boolean,Context?:{ [index:string]: string; },Items?:ItemsTargetLanguageStatusProxy[]}} [init] */
    constructor(init) { Object.assign(this, init) }
    /** @type {number} */
    TotalCount;
    /** @type {boolean} */
    IsGeneric;
    /** @type {{ [index:string]: string; }} */
    Context;
    /** @type {ItemsTargetLanguageStatusProxy[]} */
    Items;
}

JavaScript GetItemsTargetLanguagesStatuses DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .csv suffix or ?format=csv

HTTP + CSV

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

POST /RestApi/translations/getTargetLanguagesStatuses HTTP/1.1 
Host: www.imglobal.com 
Accept: text/csv
Content-Type: text/csv
Content-Length: length

{"Ids":["00000000-0000-0000-0000-000000000000"],"SourceLanguage":"String","Skip":0,"Take":0}
HTTP/1.1 200 OK
Content-Type: text/csv
Content-Length: length

{"TotalCount":0,"IsGeneric":false,"Items":[]}